ModelElement (Gradle API 2.14)
Date: 2016-06-14

org.gradle.model

## Interface ModelElement

- All Superinterfaces:
    Named
  All Known Subinterfaces:
    ApplicationBinarySpec, ApplicationSpec, AssemblerSourceSet, BinaryContainer, BinarySpec, BuildableComponentSpec, ClassDirectoryBinarySpec, CoffeeScriptSourceSet, ComponentSpec, ComponentSpecContainer, CppSourceSet, CSourceSet, CUnitTestSuiteBinarySpec, CUnitTestSuiteSpec, DependentSourceSet, DependentSourceSet, FunctionalSourceSet, GeneralComponentSpec, GoogleTestTestSuiteBinarySpec, GoogleTestTestSuiteSpec, HeaderExportingSourceSet, JarBinarySpec, JavaScriptSourceSet, JavaSourceSet, JUnitTestSuiteBinarySpec, JUnitTestSuiteSpec, JvmBinarySpec, JvmClasses, JvmComponentSpec, JvmLibrarySpec, JvmResourceSet, JvmTestSuiteBinarySpec, JvmTestSuiteSpec, LanguageSourceSet, LibraryBinarySpec, LibrarySpec, ModelMap<T>, ModelSet<T>, NativeBinarySpec, NativeComponentSpec, NativeExecutableBinarySpec, NativeExecutableSpec, NativeLibraryBinarySpec, NativeLibrarySpec, NativeResourceSet, NativeTestSuiteBinarySpec, NativeTestSuiteSpec, ObjectiveCppSourceSet, ObjectiveCSourceSet, PlatformAwareComponentSpec, PlayApplicationBinarySpec, PlayApplicationSpec, PlayPlatformAwareComponentSpec, PublicAssets, RoutesSourceSet, ScalaLanguageSourceSet, SharedLibraryBinarySpec, SourceComponentSpec, StaticLibraryBinarySpec, TargetedNativeComponent, TestSuiteBinarySpec, TestSuiteBinarySpec, TestSuiteContainer, TestSuiteContainer, TestSuiteSpec, TestSuiteSpec, TwirlSourceSet, VariantComponentSpec, VisualStudioProject, VisualStudioSolution, WindowsResourceSet
  All Known Implementing Classes:
    org.gradle.api.internal.AbstractBuildableComponentSpec, org.gradle.platform.base.component.internal.AbstractComponentSpec, org.gradle.language.base.internal.AbstractLanguageSourceSet, BaseBinarySpec, BaseComponentSpec, BaseLanguageSourceSet, org.gradle.platform.base.component.internal.DefaultComponentSpec

      @Incubating
      public interface ModelElement
      extends Named

  Represents an element in a model. Elements are arranged in a hierarchy.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDisplayName()` Returns a human-consumable display name for this element.
    `String` | `getName()` Returns the name of this element.

- - ### Method Detail

    - #### getName

          String getName()

      Returns the name of this element. Each element has a name associated with it, that uniquely identifies the element amongst its siblings. Some element have their name generated or automatically assigned, and for these elements the name may not be human consumable.
      Specified by:
        `getName` in interface `Named`
      Returns:
        The name. Never null.

    - #### getDisplayName

          String getDisplayName()

      Returns a human-consumable display name for this element.